From 4c7ac30978cf3d4657274e139d4b1f30155f63e2 Mon Sep 17 00:00:00 2001
From: Vagrant Cascadian <vagrant@reproducible-builds.org>
Date: Tue, 29 Dec 2020 07:16:56 +0000
Subject: [PATCH 1/6] etc/Makefile.*: Pass arguments to date to support
 SOURCE_DATE_EPOCH when generating README.

https://reproducible-builds.org/docs/source-date-epoch/
---
 etc/Makefile.am | 2 +-
 etc/Makefile.in | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/etc/Makefile.am b/etc/Makefile.am
index b0cdcac..9b75777 100644
--- a/etc/Makefile.am
+++ b/etc/Makefile.am
@@ -44,5 +44,5 @@ a2ps.cfg: a2ps_cfg Makefile
 
 # Building a time stamp to know the version.
 README: README.in Makefile
-	sed "s!@date@!`date`!g;s!@version@!$(VERSION)!g"	\
+	sed "s!@date@!`LC_ALL=C date --utc --date=@$(SOURCE_DATE_EPOCH)`!g;s!@version@!$(VERSION)!g"	\
 	$(srcdir)/README.in > README
diff --git a/etc/Makefile.in b/etc/Makefile.in
index 0fe7d4c..50af809 100644
--- a/etc/Makefile.in
+++ b/etc/Makefile.in
@@ -486,7 +486,7 @@ a2ps.cfg: a2ps_cfg Makefile
 
 # Building a time stamp to know the version.
 README: README.in Makefile
-	sed "s!@date@!`date`!g;s!@version@!$(VERSION)!g"	\
+	sed "s!@date@!`LC_ALL=C date --utc --date=@$(SOURCE_DATE_EPOCH)`!g;s!@version@!$(VERSION)!g"	\
 	$(srcdir)/README.in > README
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
-- 
2.20.1

